/*

* Copyright 2009 by GRUPO IE, Inc.

* 

* Private and Confidential

* Code contained in this document is the property of GRUPO IE. 

* It is for the exclusive use of designated employees 

* and not for distribution without prior written

* authorization.

*/

/*

* Q02bQ022CS00.java

*

* Created on 25/02/09 03:57:23

*/

package q02b.exe.tablasBD;

import java.sql.SQLException;

import java.sql.ResultSet;

import java.sql.Connection;

import q02b.exe.arquitectura.dataobjects.Q02bDAOException;

//import java.math.BigDecimal;



/*

*

* @author automatic generated

* @version 1.0

*/

public interface Q02bITablaBDQ022CS00 {

    /** Method reset */

    public void reset();



    /** Method addColumnSelect(nombreColumna) 

    * @param nombreColumna New value of property columnasSelect.

    * Este método añade una nueva columna a mostrar en el resultado de la select

    * Añadir las columnas usando las constantes de la tabla

    */

    public void addColumnSelect(String nombreColumna);



    /** Method clearColumnsSelect() 

    * Este método vacia el ArrayList con los nombres de las columnas sobre los q hacer la select

    */

    public void clearColumnsSelect();



    /** Method freeResources() 

    * Este método libera los recursos del DAO.

    */

    public void freeResources();



    /** Method freeResourcesNotConnection() 

    * Este método libera los recursos del DAO.

    */

    public void freeResourcesNotConnection();



    /** Method getColumnsSelect() 

    * Este método devuelve un String con los nombres de las columnas sobres las q hacer la

    * select separadas por comas.

    */

    public String getColumnsSelect();



    /** Method setColumnsSelect(listaColumnas) 

    * Este método da valor al ArrayList con los nombres de las columnas sobre los q hacer la select

    */

    public void setColumnsSelect(String listaColumnas);



    /** Method setTableFrom(listaTablas) 

    * @param listaTablas New value of property tableFrom.

    * Este método añade la lista de tablas pasadas por parametro a la from .

    * Cada tabla de la lista debe ir separada por comas

    */

    public void setTableFrom(String listaTablas);



    /** Method getTableFrom() 

    * Este método devuelve un String con los nombres de las tablas sobres las q hacer la

    * from separadas por comas.

    */

    public String getTableFrom();



    /** Method getRegModif() 

    * Este método devuelve un int con el nº de regs modificados

    */

    public int getRegModif();



    /** Method getUncommittedRead() 

    * Este método es válido SOLO EN DB2.Devuelve el valor de UncommittedRead

    */

    public boolean getUncommittedRead();



    /** Method setUncommittedRead() 

    * Este método es válido SOLO EN DB2. Permite 'lecturas sucias' si se establece a true

    */

    public void setUncommittedRead(boolean ur);



    /** Method getForUpdate() 

    * Este método devuelve el valor de forUpdate

    */

    public boolean getForUpdate();



    /** Method setForUpdate() 

    * Este método permite añadir la clausula FOR UPDATE si se establece a true

    */

    public void setForUpdate(boolean fu);



    /** Method setGroupBy(listaColumnas) 

    * @param listaColumnas New value of property groupBy.

    * Este método da el valor de la lista de columnas pasadas por parametro a la groupby .

    * Cada columna de la lista debe ir separada por comas

    */

    public void setGroupBy(String listaColumnas);



    /** Method getGroupBy() 

    * Este método devuelve un String con los nombres de las columnas sobres las q hacer la

    * groupBy separadas por comas.

    */

    public String getGroupBy();



    /** Method select(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet select(String where)throws SQLException,Q02bDAOException ;



    /** Method selectCount(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectCount(String where)throws SQLException ;



    /** Method selectDistinct(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectDistinct(String where)throws SQLException;



    /** Method selectMax(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectMax(String where)throws SQLException;



    /** Method select() 

    * @return Value of the resultSet.

    */

    public ResultSet select()throws SQLException,Q02bDAOException;



    /** Method selectCount() 

    * @return Value of the resultSet.

    */

    public ResultSet selectCount()throws SQLException;



    /** Method selectDistinct() 

    * @return Value of the resultSet.

    */

    public ResultSet selectDistinct()throws SQLException;



    /** Method selectMax() 

    * @return Value of the resultSet.

    */

    public ResultSet selectMax()throws SQLException;



    /** Method update() */

    public void update()throws SQLException;



    /** Method update(where) 

    * @param where New value of property WHERE.

    */

    public void update(String  where )throws SQLException;



    /** Method delete(where) 

    * @param where New value of property WHERE.

    */

    public void delete(String where)throws SQLException;



    /** Method delete */

    public void delete()throws SQLException;



    /** Method insert */

    public void insert()throws SQLException;



    /** Setter for property Q022CT00_ID_GRUPO.

    * @param valor New value of propertyQ022CT00_ID_GRUPO.

    */

    public void setQ022CT00_ID_GRUPO(int valor);

    public void setQ022CT00_ID_GRUPO(Integer valor);

    public void setQ022CT00_ID_GRUPO_WHERE(int valor);

    public void setQ022CT00_ID_GRUPO_WHERE(Integer valor);

    public void setQ022CT00_ID_GRUPO_MODIF(boolean valor);

    /** Setter for property Q022CT00_ANO.

    * @param valor New value of propertyQ022CT00_ANO.

    */

    public void setQ022CT00_ANO(int valor);

    public void setQ022CT00_ANO(Integer valor);

    public void setQ022CT00_ANO_WHERE(int valor);

    public void setQ022CT00_ANO_WHERE(Integer valor);

    public void setQ022CT00_ANO_MODIF(boolean valor);

    /** Setter for property Q022CT00_REALIZA_ACTUACION.

    * @param valor New value of propertyQ022CT00_REALIZA_ACTUACION.

    */

    public void setQ022CT00_REALIZA_ACTUACION(int valor);

    public void setQ022CT00_REALIZA_ACTUACION(Integer valor);

    public void setQ022CT00_REALIZA_ACTUACION_WHERE(int valor);

    public void setQ022CT00_REALIZA_ACTUACION_WHERE(Integer valor);

    public void setQ022CT00_REALIZA_ACTUACION_MODIF(boolean valor);

    /** Setter for property Q022CT00_FEC_ALTA.

    * @param valor New value of propertyQ022CT00_FEC_ALTA.

    */

    public void setQ022CT00_FEC_ALTA(java.util.Date valor);

    public void setQ022CT00_FEC_ALTA_WHERE(java.util.Date valor);

    public void setQ022CT00_FEC_ALTA_MODIF(boolean valor);

    /** Setter for property Q022CT00_FEC_MOD.

    * @param valor New value of propertyQ022CT00_FEC_MOD.

    */

    public void setQ022CT00_FEC_MOD(java.util.Date valor);

    public void setQ022CT00_FEC_MOD_WHERE(java.util.Date valor);

    public void setQ022CT00_FEC_MOD_MODIF(boolean valor);

    /** Setter for property Q22CT00_MES.

    * @param valor New value of propertyQ22CT00_MES.

    */

    public void setQ22CT00_MES(int valor);

    public void setQ22CT00_MES(Integer valor);

    public void setQ22CT00_MES_WHERE(int valor);

    public void setQ22CT00_MES_WHERE(Integer valor);

    public void setQ22CT00_MES_MODIF(boolean valor);

    /** Setter for property MUN_PROV.

    * @param valor New value of propertyMUN_PROV.

    */

    public void setMUN_PROV(String valor);

    public void setMUN_PROV_WHERE(String valor);

    public void setMUN_PROV_MODIF(boolean valor);

    /** Setter for property MUN_MUNI.

    * @param valor New value of propertyMUN_MUNI.

    */

    public void setMUN_MUNI(String valor);

    public void setMUN_MUNI_WHERE(String valor);

    public void setMUN_MUNI_MODIF(boolean valor);

    /** Setter for property Q022CT00_OBSSU.

    * @param valor New value of propertyQ022CT00_OBSSU.

    */

    public void setQ022CT00_OBSSU(String valor);

    public void setQ022CT00_OBSSU_WHERE(String valor);

    public void setQ022CT00_OBSSU_MODIF(boolean valor);

    /** Setter for property Q022CT00_NCUS.

    * @param valor New value of propertyQ022CT00_NCUS.

    */

    public void setQ022CT00_NCUS(int valor);

    public void setQ022CT00_NCUS(Integer valor);

    public void setQ022CT00_NCUS_WHERE(int valor);

    public void setQ022CT00_NCUS_WHERE(Integer valor);

    public void setQ022CT00_NCUS_MODIF(boolean valor);

    /** Getter for property Q022CT00_ID_GRUPO.

    * @return Value of property Q022CT00_ID_GRUPO.

    */

    public Integer getQ022CT00_ID_GRUPO();



    /** Getter for property Q022CT00_ID_GRUPO_WHERE.

    * @return Value of property Q022CT00_ID_GRUPO_WHERE.

    */

    public Integer getQ022CT00_ID_GRUPO_WHERE();



    /** Getter for property Q022CT00_ANO.

    * @return Value of property Q022CT00_ANO.

    */

    public Integer getQ022CT00_ANO();



    /** Getter for property Q022CT00_ANO_WHERE.

    * @return Value of property Q022CT00_ANO_WHERE.

    */

    public Integer getQ022CT00_ANO_WHERE();



    /** Getter for property Q022CT00_REALIZA_ACTUACION.

    * @return Value of property Q022CT00_REALIZA_ACTUACION.

    */

    public Integer getQ022CT00_REALIZA_ACTUACION();



    /** Getter for property Q022CT00_REALIZA_ACTUACION_WHERE.

    * @return Value of property Q022CT00_REALIZA_ACTUACION_WHERE.

    */

    public Integer getQ022CT00_REALIZA_ACTUACION_WHERE();



    /** Getter for property Q022CT00_FEC_ALTA.

    * @return Value of property Q022CT00_FEC_ALTA.

    */

    public java.util.Date getQ022CT00_FEC_ALTA();



    /** Getter for property Q022CT00_FEC_ALTA_WHERE.

    * @return Value of property Q022CT00_FEC_ALTA_WHERE.

    */

    public java.util.Date getQ022CT00_FEC_ALTA_WHERE();



    /** Getter for property Q022CT00_FEC_MOD.

    * @return Value of property Q022CT00_FEC_MOD.

    */

    public java.util.Date getQ022CT00_FEC_MOD();



    /** Getter for property Q022CT00_FEC_MOD_WHERE.

    * @return Value of property Q022CT00_FEC_MOD_WHERE.

    */

    public java.util.Date getQ022CT00_FEC_MOD_WHERE();



    /** Getter for property Q22CT00_MES.

    * @return Value of property Q22CT00_MES.

    */

    public Integer getQ22CT00_MES();



    /** Getter for property Q22CT00_MES_WHERE.

    * @return Value of property Q22CT00_MES_WHERE.

    */

    public Integer getQ22CT00_MES_WHERE();



    /** Getter for property MUN_PROV.

    * @return Value of property MUN_PROV.

    */

    public String getMUN_PROV();



    /** Getter for property MUN_PROV_WHERE.

    * @return Value of property MUN_PROV_WHERE.

    */

    public String getMUN_PROV_WHERE();



    /** Getter for property MUN_MUNI.

    * @return Value of property MUN_MUNI.

    */

    public String getMUN_MUNI();



    /** Getter for property MUN_MUNI_WHERE.

    * @return Value of property MUN_MUNI_WHERE.

    */

    public String getMUN_MUNI_WHERE();



    /** Getter for property Q022CT00_OBSSU.

    * @return Value of property Q022CT00_OBSSU.

    */

    public String getQ022CT00_OBSSU();



    /** Getter for property Q022CT00_OBSSU_WHERE.

    * @return Value of property Q022CT00_OBSSU_WHERE.

    */

    public String getQ022CT00_OBSSU_WHERE();



    /** Getter for property Q022CT00_NCUS.

    * @return Value of property Q022CT00_NCUS.

    */

    public Integer getQ022CT00_NCUS();



    /** Getter for property Q022CT00_NCUS_WHERE.

    * @return Value of property Q022CT00_NCUS_WHERE.

    */

    public Integer getQ022CT00_NCUS_WHERE();



    /** Setter for property idConexion.

    * @param valor New value of property idConexion.

    */

    public void setIdConexion(String valor);



    /** Getter for property fechaClase.

    * @return Value of property fechaClase.

    */

    public String getFechaClase();



    /** Getter for property idConexion.

    * @return Value of property idConexion.

    */

    public String getIdConexion();



    /** Getter for property queryLog.

    * @return Value of property queryLog.

    * variable donde se guarda la ultima sentencia ejecutada

    */

    public String getQueryLog();



    /** Setter for property numMaxRegistros.

    * @param valor New value of property numMaxRegistros.

    */

    public void setNumMaxRegistros(int valor);



    /** Getter for property numMaxRegistros.

    * @return Value of property numMaxRegistros.

    */

    public int getNumMaxRegistros();



    /** Setter for property orderBy.

    * @param valor New value of property orderBy.

    */

    public void setOrderBy(String valor);



    /** Getter for property orderBy.

    * @return Value of property orderBy.

    */

    public String getOrderBy();



    /** Setter for property aditionalWhere.

    * @param valor New value of property aditionalWhere.

    */

    public void setAditionalWhere(String valor);



    /** Getter for property aditionalWhere.

    * @return Value of property aditionalWhere.

    */

    public String getAditionalWhere();



    /** Getter for property initialWhere.

    * @return Value of property initialWhere.

    */

    public String getInitialWhere();



    /** Setter for property initialWhere.

    * @param valor New value of property initialWhere.

    */

    public void setInitialWhere(String valor);



    /** Getter for property fixedWhere.

    * @return Value of property fixedWhere.

    */

    public String getFixedWhere();



    /** Setter for property fixedWhere.

    * @param valor New value of property fixedWhere.

    */

    public void setFixedWhere(String valor);



    /** Setter for property distinct.

    * @param valor New value of property distinct.

    */

    public void setDistinct(String valor);



    /** Getter for property distinct.

    * @return Value of property distinct.

    */

    public String getDistinct();



    /** Setter for property numInicio.

    * @param valor New value of property numInicio.

    */

    public void setNumInicio(int valor);



    /** Getter for property numInicio.

    * @return Value of property numInicio.

    */

    public int getNumInicio();



    /** Setter for property numFinal.

    * @param valor New value of property numFinal.

    */

    public void setNumFinal(int valor);



    /** Getter for property numFinal.

    * @return Value of property numFinal.

    */

    public int getNumFinal();



    /** Setter for property limitRows.

    * @param valor New value of property limitRows.

    */

    public void setLimitRows(boolean valor);



    /** Getter for property limitRows.

    * @return Value of property limitRows.

    */

    public boolean getLimitRows();



    /** Setter for property max.

    * @param valor New value of property max.

    */

    public void setMax(String valor);



    /** Getter for property max.

    * @return Value of property max.

    */

    public String getMax();



    /** Getter for property conexion.

    * @return Value of property conexion.

    */

    public Connection getConn();



}

